Summary:	A Better CD Encoder
Summary(pl.UTF-8):	A Better CD Encoder - lepszy koder CD
Name:		abcde
Version:	2.9.3
Release:	2
License:	GPL v2+
Group:		Applications
Source0:	https://abcde.einval.com/download/%{name}-%{version}.tar.gz
# Source0-md5:	24a6e89f0e04acb6111e6be913643b12
URL:		https://abcde.einval.com/wiki/
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.745
Requires:	cd-discid >= 0.7
Requires:	wget >= 1.8.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Abcde is a frontend to cdparanoia, wget, cd-discid, id3, and your
favorite Ogg/MP3 encoder (Oggenc is the default). It grabs an entire
CD and converts each track to Ogg/MP3, then comments or ID3-tags each
file, all with one command. It supports parallelization, SMP, HTTP
proxies, customizable filename organization and munging, playlist
generation, and remote distributed encoding via distmp3.

%description -l pl.UTF-8
Abcde jest nakładką na takie programy jak cdparanoia, wget, cd-discid,
id3 oraz Twój ulubiony kodek Ogg/MP3 (standardowym kodekiem jest
Oggenc). Abcde ściąga wszystkie ścieżki z kompaktu, konwertuje je do
odpowiedniego formatu, a następnie dodaje do utworzonych plików tagi
ID3 - wszystko za pomocą jednej komendy. Skrypt umożliwia równoległą
pracę poszczególnych komponentów, wspiera SMP, proxy HTTP oraz zdalne
kodowanie za pomocą distmp3.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_sysconfdir}}

install abcde abcde-musicbrainz-tool cddb-tool $RPM_BUILD_ROOT%{_bindir}
cp -p *.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -p abcde.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc FAQ README changelog
%attr(755,root,root) %{_bindir}/abcde
%attr(755,root,root) %{_bindir}/abcde-musicbrainz-tool
%attr(755,root,root) %{_bindir}/cddb-tool
%verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/abcde.conf
%{_mandir}/man1/abcde.1*
%{_mandir}/man1/cddb-tool.1*
%changelog
* Fri Apr 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/abcde.git;a=log;h=master

* Fri Apr 11 2025 Jakub Bogusz <qboosh@pld-linux.org> 4e41e68
- release 2 (rebuild with fixed perl dependency generator)

* Mon Apr 07 2025 Jakub Bogusz <qboosh@pld-linux.org> 3b74ffd
- new URLs, updated to 2.9.3

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b6110a0
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3ebb6f1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b9d380d
- converted to UTF-8

* Wed Jan 18 2006 maciek2w <maciek2w@pld-linux.org> d176b5e
- updated to 2.3.3

* Sun Dec 04 2005 Elan Ruusamäe <glen@pld-linux.org> c4a2d4a
- adapterized (sorted verify flags)

* Sat Aug 13 2005 wolf <wolf@pld-linux.org> 307b305
- 2.2.6

* Wed Nov 10 2004 Adam Gołębiowski <adamg@pld-linux.org> 7969d3e
- updated to 2.2.0

* Thu Oct 28 2004 paladine <paladine@pld-linux.org> 8a9f46e
- "MP3" unification

* Sat Apr 10 2004 Adam Gołębiowski <adamg@pld-linux.org> 854eb36
- updated to 2.1.19

* Thu Apr 08 2004 Adam Gołębiowski <adamg@pld-linux.org> b671a4c
- updated to 2.1.18

* Tue Apr 06 2004 Adam Gołębiowski <adamg@pld-linux.org> 7644cd0
- updated to 2.1.16

* Tue Feb 17 2004 eothane <eothane@pld-linux.org> 8f8728c
- up to 2.1.15

* Wed Jan 21 2004 wrobell <wrobell@pld-linux.org> 82468e9
- ver. 2.1.14

* Mon Jan 19 2004 undefine <undefine@pld-linux.org> 0f7a12d
- update to 2.1.13

* Mon Jan 19 2004 undefine <undefine@pld-linux.org> 5fcd578
- update to 2.1.12

* Sun Jan 11 2004 eothane <eothane@pld-linux.org> 5c46968
- updated to 2.1.11

* Tue Jan 06 2004 Adam Gołębiowski <adamg@pld-linux.org> 7d64522
- updated to 2.1.10

* Wed Nov 05 2003 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> f281099
- updated to 2.1.9

